Subject: Re: TEST: Sleep patch #6

From: Colin Leroy <[email-masked]>
Date: Thu, 2 Dec 2004 12:08:27 +0100

On 01 Dec 2004 at 16h12, Benjamin Herrenschmidt wrote:

Hi, 
 
> This one fixes finally the cache flush problem that made cpufreq (on machines
> using the PMU for the switch) and sleep/wake unreliable occasionally (memory
> corruption would occur on some CPUs at least). It improves bits here or there
> too, and adds the sungem wake-on-lan feature. 

By the way, I noticed a problem when the laptop is put to sleep by closing lid:
wake-on-lan still works, but as soon as the laptop's awake, pbbuttonsd sleeps 
it again. Combined with the fact that a closed iBook G4 not sleeping shutdowns 
by itself, it would be nice if sungem could disable wol when suspending and the 
lid is closed - if such info is available.

Or maybe such a thing should be done in the pbbuttonsd scripts by calling 
ethtool?
-- 
Colin